Name:		freebasic-manual
Version:	0.21.1
Release:	1%{?dist}
Summary:	Manual of the FreeBASIC Compiler

Group:		Documentation
License:	GFDL
URL:		http://www.freebasic.net
Source0:	http://downloads.sourceforge.net/project/fbc/Documentation/Manual%%20%{version}/FB-manual-%{version}-html.zip
Source1:	http://downloads.sourceforge.net/project/fbc/Documentation/Manual%%20%{version}/FB-manual-%{version}-fbhelp.zip
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

%description
FreeBASIC is a free, 32-bit BASIC compiler for Windows (32-bit), 32-bit 
protected-mode DOS (COFF executables, like DJGPP), and Linux (x86). It began 
as an attempt to create a code-compatible, free alternative to Microsoft 
QuickBASIC, but has quickly grown into a powerful development tool, already 
including support for libraries such as Allegro, SDL, OpenGL, and many others 
with its default installation.

Aside from having a syntax mostly compatible with QuickBASIC, FreeBASIC 
introduces several new features to the aged language, including pointers to 
variables and functions, and unsigned data types.

FreeBASIC compiler is self-hosting - written in FreeBASIC, the libraries
however are written in C.

This package contains the manual for the FreeBASIC compiler.


%package	html
Summary:	Manual of the FreeBASIC Compiler in HTML format
%description	html
FreeBASIC is a free, 32-bit BASIC compiler for Windows (32-bit), 32-bit 
protected-mode DOS (COFF executables, like DJGPP), and Linux (x86). It began 
as an attempt to create a code-compatible, free alternative to Microsoft 
QuickBASIC, but has quickly grown into a powerful development tool, already 
including support for libraries such as Allegro, SDL, OpenGL, and many others 
with its default installation.

Aside from having a syntax mostly compatible with QuickBASIC, FreeBASIC 
introduces several new features to the aged language, including pointers to 
variables and functions, and unsigned data types.

FreeBASIC compiler is self-hosting - written in FreeBASIC, the libraries 
however are written in C.

This package contains the manual for the FreeBASIC compiler in HTML format.


%package	fbhelp
Summary:	Manual of the FreeBASIC Compiler in FBHELP format
%description	fbhelp
FreeBASIC is a free, 32-bit BASIC compiler for Windows (32-bit), 32-bit 
protected-mode DOS (COFF executables, like DJGPP), and Linux (x86). It began 
as an attempt to create a code-compatible, free alternative to Microsoft 
QuickBASIC, but has quickly grown into a powerful development tool, already 
including support for libraries such as Allegro, SDL, OpenGL, and many others 
with its default installation.

Aside from having a syntax mostly compatible with QuickBASIC, FreeBASIC 
introduces several new features to the aged language, including pointers to 
variables and functions, and unsigned data types.

FreeBASIC compiler is self-hosting - written in FreeBASIC, the libraries 
however are written in C.

This package contains the manual for the FreeBASIC compiler in FBHelp format.


%prep
%setup -q -T -b 0 -c -n %{name}-%{version}-html
%setup -q -T -b 1 -c -n %{name}-%{version}-fbhelp


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/freebasic/manual/
cp -r %{_builddir}/%{name}-%{version}-html/* %{buildroot}%{_datadir}/freebasic/manual/
mkdir -p %{buildroot}%{_datadir}/fbhelp/
cp -r %{_builddir}/%{name}-%{version}-fbhelp/* %{buildroot}%{_datadir}/fbhelp/


%clean
rm -rf %{buildroot}


%files html
%defattr(-,root,root,-)
%{_datadir}/freebasic/manual/


%files fbhelp
%defattr(-,root,root,-)
%{_datadir}/fbhelp/


%changelog
* Sun Dec 5 2010 Arnel A. Borja <galeon at, ymail.com> 0.21.1-1
- Created package


